module.exports = function(grunt) {

  grunt.initConfig({ 
    clean: {
      sandbox: {
        options: {
          force: true,
          'no-write': true
        },        
          src: ['archivos-temporales/*.txt']
      },
      production: {
        options: {
          force: true,
          'no-write': true
        },        
          src: ['archivos-temporales/', 'carpeta-temporal/']
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-clean');  
     
  grunt.registerTask("default", ['clean']);
};


/*

// Definir los archivos y / o carpetas como arreglo dentro de una propiedad.

clean: {
  options: {
    force: true,
    "no-write": true
  },
  archivos: ['archivos-temporales/*.txt', 'carpeta-temporal']
}


*/

/*

//=> Mismas opciones para diferentes escenarios

clean: {
        options: {
          force: true,
          "no-write": true
        },
        sandbox: ['archivos-temporales/*.txt', '!archivos-temporales/app.txt'],
        production: ['archivos-temporales/*.txt', 'carpeta-temporal']
      }

*/


/*

//=> Diferentes opciones para distintos escenarios

    clean: {
      sandbox: {
        options: {
          force: true,
          'no-write': true
        },        
          src: ['archivos-temporales/*.txt']
      },
      production: {
        options: {
          force: true,
          'no-write': true
        },        
          src: ['archivos-temporales/', 'carpeta-temporal/']
      }
    }

*/