module.exports = function(grunt) {

  grunt.initConfig({ 
    uglify: {
      options: {
        compress: true, 
        mangle: false,
        beautify: false, // Cambiar a true si se quiere hacer legible un archivo minificado
        banner: "/* Creado: <%= grunt.template.today('yyyy-mm-dd hh:mm:ss') %> */", // Eliminar si no se necesitan comentarios
        sourceMap: true // Eliminar si no se necesitan source maps
      },
      js: {
        src: ["js/demo01.js", "js/demo02.js"],       
        dest: "js/demo.js"
      }          
    }
  });


  grunt.loadNpmTasks('grunt-contrib-uglify');

  grunt.registerTask("default", ['uglify']);
};